# This script construct sub system of Display Port for higher level integration

source ./design_config.tcl

if { ![ info exists devicefamily ] } {
  set devicefamily $DEVICE_FAMILY
} else {
  puts "-- Accepted parameter \$devicefamily = $devicefamily"
}
    
if { ![ info exists device ] } {
  set device $FPGA_DEVICE
} else {
  puts "-- Accepted parameter \$device = $device"
}
    
if { ![ info exists sub_qsys_dp ] } {
  set sub_qsys_dp subsys_dp
} else {
  puts "-- Accepted parameter \$sub_qsys_dp = $sub_qsys_dp"
}

package require -exact qsys 14.1

create_system $sub_qsys_dp

    set_project_property DEVICE_FAMILY $devicefamily
    set_project_property DEVICE $device

	if {$ADD_FRAME_READER == 1} {
    add_instance alt_vip_vfr_0 alt_vip_vfr
    set_instance_parameter_value alt_vip_vfr_0 {BITS_PER_PIXEL_PER_COLOR_PLANE} {8}
    set_instance_parameter_value alt_vip_vfr_0 {NUMBER_OF_CHANNELS_IN_PARALLEL} {4}
    set_instance_parameter_value alt_vip_vfr_0 {NUMBER_OF_CHANNELS_IN_SEQUENCE} {1}
    set_instance_parameter_value alt_vip_vfr_0 {MAX_IMAGE_WIDTH} {1920}
    set_instance_parameter_value alt_vip_vfr_0 {MAX_IMAGE_HEIGHT} {1080}
    set_instance_parameter_value alt_vip_vfr_0 {MEM_PORT_WIDTH} {128}
    set_instance_parameter_value alt_vip_vfr_0 {RMASTER_FIFO_DEPTH} {1024}
    set_instance_parameter_value alt_vip_vfr_0 {RMASTER_BURST_TARGET} {16}
    set_instance_parameter_value alt_vip_vfr_0 {CLOCKS_ARE_SEPARATE} {1}
	} else {
    add_instance vesa_tpg vesa_tpg 1.0
    set_instance_parameter_value vesa_tpg {MAX_BPC} {8}
    set_instance_parameter_value vesa_tpg {WIDTH} {1920}
    set_instance_parameter_value vesa_tpg {HEIGHT} {1080}

    add_instance vesa_tpg_pio altera_avalon_pio
    set_instance_parameter_value vesa_tpg_pio {bitClearingEdgeCapReg} {0}
    set_instance_parameter_value vesa_tpg_pio {bitModifyingOutReg} {0}
    set_instance_parameter_value vesa_tpg_pio {captureEdge} {0}
    set_instance_parameter_value vesa_tpg_pio {direction} {Output}
    set_instance_parameter_value vesa_tpg_pio {edgeType} {RISING}
    set_instance_parameter_value vesa_tpg_pio {generateIRQ} {0}
    set_instance_parameter_value vesa_tpg_pio {irqType} {LEVEL}
    set_instance_parameter_value vesa_tpg_pio {resetValue} {0.0}
    set_instance_parameter_value vesa_tpg_pio {simDoTestBenchWiring} {0}
    set_instance_parameter_value vesa_tpg_pio {simDrivenValue} {0.0}
    set_instance_parameter_value vesa_tpg_pio {width} {8}
	}
	
    add_instance bitec_dp_0 altera_dp
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_GTC} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_SS} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_AUDIO} {0}
    set_instance_parameter_value bitec_dp_0 {TX_AUDIO_CHANS} {2}
    set_instance_parameter_value bitec_dp_0 {TX_VIDEO_BPS} {8}
    set_instance_parameter_value bitec_dp_0 {TX_MAX_LINK_RATE} {10}
    set_instance_parameter_value bitec_dp_0 {RX_IMAGE_OUT_FORMAT} {1}
    set_instance_parameter_value bitec_dp_0 {TX_MAX_LANE_COUNT} {4}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_ANALOG_RECONFIG} {1}
    set_instance_parameter_value bitec_dp_0 {TX_AUX_DEBUG} {1}
    set_instance_parameter_value bitec_dp_0 {TX_SCRAMBLER_SEED} {65535}
    set_instance_parameter_value bitec_dp_0 {TX_PIXELS_PER_CLOCK} {1}
    set_instance_parameter_value bitec_dp_0 {TX_SYMBOLS_PER_CLOCK} {4}
    set_instance_parameter_value bitec_dp_0 {TX_IMPORT_MSA} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_18BPP} {1}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_24BPP} {1}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_30BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_36BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_48BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_YCBCR422_16BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_YCBCR422_20BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_YCBCR422_24BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_YCBCR422_32BPP} {0}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_DP} {1}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_AUTOMATED_TEST} {1}
    set_instance_parameter_value bitec_dp_0 {TX_SUPPORT_MST} {0}
    set_instance_parameter_value bitec_dp_0 {TX_MAX_NUM_OF_STREAMS} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_GTC} {0}
    set_instance_parameter_value bitec_dp_0 {RX_PIXELS_PER_CLOCK} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SYMBOLS_PER_CLOCK} {4}
    set_instance_parameter_value bitec_dp_0 {RX_EXPORT_MSA} {0}
    set_instance_parameter_value bitec_dp_0 {RX_VIDEO_BPS} {8}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_SS} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_I2CMASTER} {0}
    set_instance_parameter_value bitec_dp_0 {RX_I2C_SCL_KHZ} {100}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_AUDIO} {1}
    set_instance_parameter_value bitec_dp_0 {RX_AUDIO_CHANS} {2}
    set_instance_parameter_value bitec_dp_0 {RX_MAX_LINK_RATE} {20}
    set_instance_parameter_value bitec_dp_0 {RX_MAX_LANE_COUNT} {4}
    set_instance_parameter_value bitec_dp_0 {RX_SCRAMBLER_SEED} {65535}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_AUTOMATED_TEST} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_18BPP} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_24BPP} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_30BPP} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_36BPP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_48BPP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_YCBCR422_16BPP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_YCBCR422_20BPP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_YCBCR422_24BPP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_YCBCR422_32BPP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_DP} {0}
    set_instance_parameter_value bitec_dp_0 {RX_AUX_DEBUG} {1}
    set_instance_parameter_value bitec_dp_0 {RX_IEEE_OUI} {1}
    set_instance_parameter_value bitec_dp_0 {RX_AUX_GPU} {1}
    set_instance_parameter_value bitec_dp_0 {RX_SUPPORT_MST} {0}
    set_instance_parameter_value bitec_dp_0 {RX_MAX_NUM_OF_STREAMS} {1}

	add_instance tx_aux_debug_fifo altera_avalon_fifo
    set_instance_parameter_value tx_aux_debug_fifo {avalonMMAvalonMMDataWidth} {32}
    set_instance_parameter_value tx_aux_debug_fifo {avalonMMAvalonSTDataWidth} {32}
    set_instance_parameter_value tx_aux_debug_fifo {bitsPerSymbol} {32}
    set_instance_parameter_value tx_aux_debug_fifo {channelWidth} {1}
    set_instance_parameter_value tx_aux_debug_fifo {errorWidth} {1}
    set_instance_parameter_value tx_aux_debug_fifo {fifoDepth} {2048}
    set_instance_parameter_value tx_aux_debug_fifo {fifoInputInterfaceOptions} {AVALONST_SINK}
    set_instance_parameter_value tx_aux_debug_fifo {fifoOutputInterfaceOptions} {AVALONMM_READ}
    set_instance_parameter_value tx_aux_debug_fifo {showHiddenFeatures} {0}
    set_instance_parameter_value tx_aux_debug_fifo {singleClockMode} {1}
    set_instance_parameter_value tx_aux_debug_fifo {singleResetMode} {0}
    set_instance_parameter_value tx_aux_debug_fifo {symbolsPerBeat} {1}
    set_instance_parameter_value tx_aux_debug_fifo {useBackpressure} {0}
    set_instance_parameter_value tx_aux_debug_fifo {useIRQ} {0}
    set_instance_parameter_value tx_aux_debug_fifo {usePacket} {1}
    set_instance_parameter_value tx_aux_debug_fifo {useReadControl} {0}
    set_instance_parameter_value tx_aux_debug_fifo {useRegister} {0}
    set_instance_parameter_value tx_aux_debug_fifo {useWriteControl} {1}
	
	add_instance video_pll altera_iopll
    set_instance_parameter_value video_pll {gui_device_speed_grade} {1}
    set_instance_parameter_value video_pll {gui_en_reconf} {0}
    set_instance_parameter_value video_pll {gui_en_dps_ports} {0}
    set_instance_parameter_value video_pll {gui_pll_mode} {Integer-N PLL}
    set_instance_parameter_value video_pll {gui_reference_clock_frequency} {100.0}
    set_instance_parameter_value video_pll {gui_fractional_cout} {32}
    set_instance_parameter_value video_pll {gui_dsm_out_sel} {1st_order}
    set_instance_parameter_value video_pll {gui_use_locked} {1}
    set_instance_parameter_value video_pll {gui_en_adv_params} {0}
    set_instance_parameter_value video_pll {gui_pll_bandwidth_preset} {Low}
    set_instance_parameter_value video_pll {gui_pll_auto_reset} {0}
#    set_instance_parameter_value video_pll {gui_en_lvds_ports} {Disabled}
    set_instance_parameter_value video_pll {gui_operation_mode} {normal}
#    set_instance_parameter_value video_pll {gui_feedback_clock} {Global Clock}
    set_instance_parameter_value video_pll {gui_refclk_switch} {0}
    set_instance_parameter_value video_pll {gui_refclk1_frequency} {100.0}
    set_instance_parameter_value video_pll {gui_en_phout_ports} {0}
    set_instance_parameter_value video_pll {gui_phout_division} {1}
    set_instance_parameter_value video_pll {gui_en_extclkout_ports} {0}
    set_instance_parameter_value video_pll {gui_number_of_clocks} {3}
    set_instance_parameter_value video_pll {gui_multiply_factor} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_n} {1}
    set_instance_parameter_value video_pll {gui_frac_multiply_factor} {1.0}
    set_instance_parameter_value video_pll {gui_fix_vco_frequency} {0}
    set_instance_parameter_value video_pll {gui_fixed_vco_frequency} {600.0}
    set_instance_parameter_value video_pll {gui_enable_output_counter_cascading} {0}
    set_instance_parameter_value video_pll {gui_mif_generate} {0}
    set_instance_parameter_value video_pll {gui_active_clk} {0}
    set_instance_parameter_value video_pll {gui_clk_bad} {0}
    set_instance_parameter_value video_pll {gui_switchover_mode} {Automatic Switchover}
    set_instance_parameter_value video_pll {gui_switchover_delay} {0}
    set_instance_parameter_value video_pll {gui_enable_cascade_out} {0}
    set_instance_parameter_value video_pll {gui_cascade_outclk_index} {0}
    set_instance_parameter_value video_pll {gui_enable_cascade_in} {0}
    set_instance_parameter_value video_pll {gui_pll_cascading_mode} {adjpllin}
    set_instance_parameter_value video_pll {gui_enable_mif_dps} {0}
    set_instance_parameter_value video_pll {gui_dps_cntr} {C0}
    set_instance_parameter_value video_pll {gui_dps_num} {1}
    set_instance_parameter_value video_pll {gui_dps_dir} {Positive}
    set_instance_parameter_value video_pll {gui_extclkout_0_source} {C0}
    set_instance_parameter_value video_pll {gui_extclkout_1_source} {C0}
    set_instance_parameter_value video_pll {gui_clock_name_global0} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global1} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global2} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global3} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global4} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global5} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global6} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global7} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global8} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global9} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global10} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global11} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global12} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global13} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global14} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global15} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global16} {0}
    set_instance_parameter_value video_pll {gui_clock_name_global17} {0}
    set_instance_parameter_value video_pll {gui_clock_name_string0} {outclk0}
    set_instance_parameter_value video_pll {gui_clock_name_string1} {outclk1}
    set_instance_parameter_value video_pll {gui_clock_name_string2} {outclk2}
    set_instance_parameter_value video_pll {gui_clock_name_string3} {outclk3}
    set_instance_parameter_value video_pll {gui_clock_name_string4} {outclk4}
    set_instance_parameter_value video_pll {gui_clock_name_string5} {outclk5}
    set_instance_parameter_value video_pll {gui_clock_name_string6} {outclk6}
    set_instance_parameter_value video_pll {gui_clock_name_string7} {outclk7}
    set_instance_parameter_value video_pll {gui_clock_name_string8} {outclk8}
    set_instance_parameter_value video_pll {gui_clock_name_string9} {outclk9}
    set_instance_parameter_value video_pll {gui_clock_name_string10} {outclk10}
    set_instance_parameter_value video_pll {gui_clock_name_string11} {outclk11}
    set_instance_parameter_value video_pll {gui_clock_name_string12} {outclk12}
    set_instance_parameter_value video_pll {gui_clock_name_string13} {outclk13}
    set_instance_parameter_value video_pll {gui_clock_name_string14} {outclk14}
    set_instance_parameter_value video_pll {gui_clock_name_string15} {outclk15}
    set_instance_parameter_value video_pll {gui_clock_name_string16} {outclk16}
    set_instance_parameter_value video_pll {gui_clock_name_string17} {outclk17}
    set_instance_parameter_value video_pll {gui_divide_factor_c0} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c1} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c2} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c3} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c4} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c5} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c6} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c7} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c8} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c9} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c10} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c11} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c12} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c13} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c14} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c15} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c16} {6}
    set_instance_parameter_value video_pll {gui_divide_factor_c17} {6}
    set_instance_parameter_value video_pll {gui_cascade_counter0} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter1} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter2} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter3} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter4} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter5} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter6} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter7} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter8} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter9} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter10} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter11} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter12} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter13} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter14} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter15} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter16} {0}
    set_instance_parameter_value video_pll {gui_cascade_counter17} {0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency0} {160.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency1} {16.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency2} {50.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency3} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency4} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency5} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency6} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency7} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency8} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency9} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency10} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency11} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency12} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency13} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency14} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency15} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency16} {100.0}
    set_instance_parameter_value video_pll {gui_output_clock_frequency17} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency0} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency1} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency2} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency3} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency4} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency5} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency6} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency7} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency8} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency9} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency10} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency11} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency12} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency13} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency14} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency15} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency16} {100.0}
    set_instance_parameter_value video_pll {gui_actual_output_clock_frequency17} {100.0}
    set_instance_parameter_value video_pll {gui_ps_units0} {ps}
    set_instance_parameter_value video_pll {gui_ps_units1} {ps}
    set_instance_parameter_value video_pll {gui_ps_units2} {ps}
    set_instance_parameter_value video_pll {gui_ps_units3} {ps}
    set_instance_parameter_value video_pll {gui_ps_units4} {ps}
    set_instance_parameter_value video_pll {gui_ps_units5} {ps}
    set_instance_parameter_value video_pll {gui_ps_units6} {ps}
    set_instance_parameter_value video_pll {gui_ps_units7} {ps}
    set_instance_parameter_value video_pll {gui_ps_units8} {ps}
    set_instance_parameter_value video_pll {gui_ps_units9} {ps}
    set_instance_parameter_value video_pll {gui_ps_units10} {ps}
    set_instance_parameter_value video_pll {gui_ps_units11} {ps}
    set_instance_parameter_value video_pll {gui_ps_units12} {ps}
    set_instance_parameter_value video_pll {gui_ps_units13} {ps}
    set_instance_parameter_value video_pll {gui_ps_units14} {ps}
    set_instance_parameter_value video_pll {gui_ps_units15} {ps}
    set_instance_parameter_value video_pll {gui_ps_units16} {ps}
    set_instance_parameter_value video_pll {gui_ps_units17} {ps}
    set_instance_parameter_value video_pll {gui_phase_shift0} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift1} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift2} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift3} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift4} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift5} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift6} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift7} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift8} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift9} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift10} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift11} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift12} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift13} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift14} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift15} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift16} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift17} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg0} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg1} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg2} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg3} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg4} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg5} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg6} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg7} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg8} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg9} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg10} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg11} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg12} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg13} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg14} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg15} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg16} {0.0}
    set_instance_parameter_value video_pll {gui_phase_shift_deg17} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift0} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift1} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift2} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift3} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift4} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift5} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift6} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift7} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift8} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift9} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift10} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift11} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift12} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift13} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift14} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift15} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift16} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift17} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg0} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg1} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg2} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg3} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg4} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg5} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg6} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg7} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg8} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg9} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg10} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg11} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg12} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg13} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg14} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg15} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg16} {0.0}
    set_instance_parameter_value video_pll {gui_actual_phase_shift_deg17} {0.0}
    set_instance_parameter_value video_pll {gui_duty_cycle0} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle1} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle2} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle3} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle4} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle5} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle6} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle7} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle8} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle9} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle10} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle11} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle12} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle13} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle14} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle15} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle16} {50.0}
    set_instance_parameter_value video_pll {gui_duty_cycle17} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle0} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle1} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle2} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle3} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle4} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle5} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle6} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle7} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle8} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle9} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle10} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle11} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle12} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle13} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle14} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle15} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle16} {50.0}
    set_instance_parameter_value video_pll {gui_actual_duty_cycle17} {50.0}
	
    add_instance clk_100 altera_clock_bridge
    set_instance_parameter_value clk_100 {EXPLICIT_CLOCK_RATE} {100000000.0}
    set_instance_parameter_value clk_100 {NUM_CLOCK_OUTPUTS} {1}

    add_instance clk_16 altera_clock_bridge
    set_instance_parameter_value clk_16 {EXPLICIT_CLOCK_RATE} {16000000.0}
    set_instance_parameter_value clk_16 {NUM_CLOCK_OUTPUTS} {1}

    add_instance clk_vip_160 altera_clock_bridge
    set_instance_parameter_value clk_vip_160 {EXPLICIT_CLOCK_RATE} {160000000.0}
    set_instance_parameter_value clk_vip_160 {NUM_CLOCK_OUTPUTS} {1}

    add_instance cpu altera_nios2_gen2
    set_instance_parameter_value cpu {tmr_enabled} {0}
    set_instance_parameter_value cpu {setting_disable_tmr_inj} {0}
    set_instance_parameter_value cpu {setting_showUnpublishedSettings} {0}
    set_instance_parameter_value cpu {setting_showInternalSettings} {0}
    set_instance_parameter_value cpu {setting_preciseIllegalMemAccessException} {0}
    set_instance_parameter_value cpu {setting_exportPCB} {0}
    set_instance_parameter_value cpu {setting_exportdebuginfo} {0}
    set_instance_parameter_value cpu {setting_clearXBitsLDNonBypass} {1}
    set_instance_parameter_value cpu {setting_bigEndian} {0}
    set_instance_parameter_value cpu {setting_export_large_RAMs} {0}
    set_instance_parameter_value cpu {setting_asic_enabled} {0}
    set_instance_parameter_value cpu {setting_asic_synopsys_translate_on_off} {0}
    set_instance_parameter_value cpu {setting_asic_third_party_synthesis} {0}
    set_instance_parameter_value cpu {setting_asic_add_scan_mode_input} {0}
    set_instance_parameter_value cpu {setting_oci_version} {1}
    set_instance_parameter_value cpu {setting_fast_register_read} {0}
    set_instance_parameter_value cpu {setting_exportHostDebugPort} {0}
    set_instance_parameter_value cpu {setting_oci_export_jtag_signals} {0}
    set_instance_parameter_value cpu {setting_avalonDebugPortPresent} {0}
    set_instance_parameter_value cpu {setting_alwaysEncrypt} {1}
    set_instance_parameter_value cpu {io_regionbase} {0}
    set_instance_parameter_value cpu {io_regionsize} {0}
    set_instance_parameter_value cpu {setting_support31bitdcachebypass} {1}
    set_instance_parameter_value cpu {setting_activateTrace} {1}
    set_instance_parameter_value cpu {setting_allow_break_inst} {0}
    set_instance_parameter_value cpu {setting_activateTestEndChecker} {0}
    set_instance_parameter_value cpu {setting_ecc_sim_test_ports} {0}
    set_instance_parameter_value cpu {setting_disableocitrace} {0}
    set_instance_parameter_value cpu {setting_activateMonitors} {1}
    set_instance_parameter_value cpu {setting_HDLSimCachesCleared} {1}
    set_instance_parameter_value cpu {setting_HBreakTest} {0}
    set_instance_parameter_value cpu {setting_breakslaveoveride} {0}
    set_instance_parameter_value cpu {mpu_useLimit} {0}
    set_instance_parameter_value cpu {mpu_enabled} {0}
    set_instance_parameter_value cpu {mmu_enabled} {0}
    set_instance_parameter_value cpu {mmu_autoAssignTlbPtrSz} {1}
    set_instance_parameter_value cpu {cpuReset} {0}
    set_instance_parameter_value cpu {resetrequest_enabled} {1}
    set_instance_parameter_value cpu {setting_removeRAMinit} {0}
    set_instance_parameter_value cpu {setting_shadowRegisterSets} {0}
    set_instance_parameter_value cpu {mpu_numOfInstRegion} {8}
    set_instance_parameter_value cpu {mpu_numOfDataRegion} {8}
    set_instance_parameter_value cpu {mmu_TLBMissExcOffset} {0}
    set_instance_parameter_value cpu {resetOffset} {0}
    set_instance_parameter_value cpu {exceptionOffset} {32}
    set_instance_parameter_value cpu {cpuID} {0}
    set_instance_parameter_value cpu {breakOffset} {32}
    set_instance_parameter_value cpu {userDefinedSettings} {}
    set_instance_parameter_value cpu {tracefilename} {}
    set_instance_parameter_value cpu {resetSlave} {onchip_mem.s1}
    set_instance_parameter_value cpu {mmu_TLBMissExcSlave} {}
    set_instance_parameter_value cpu {exceptionSlave} {onchip_mem.s1}
    set_instance_parameter_value cpu {breakSlave} {cpu.jtag_debug_module}
    set_instance_parameter_value cpu {setting_interruptControllerType} {Internal}
    set_instance_parameter_value cpu {setting_branchpredictiontype} {Dynamic}
    set_instance_parameter_value cpu {setting_bhtPtrSz} {8}
    set_instance_parameter_value cpu {cpuArchRev} {1}
    set_instance_parameter_value cpu {mul_shift_choice} {1}
    set_instance_parameter_value cpu {mul_32_impl} {0}
    set_instance_parameter_value cpu {mul_64_impl} {0}
    set_instance_parameter_value cpu {shift_rot_impl} {0}
    set_instance_parameter_value cpu {dividerType} {no_div}
    set_instance_parameter_value cpu {mpu_minInstRegionSize} {12}
    set_instance_parameter_value cpu {mpu_minDataRegionSize} {12}
    set_instance_parameter_value cpu {mmu_uitlbNumEntries} {4}
    set_instance_parameter_value cpu {mmu_udtlbNumEntries} {6}
    set_instance_parameter_value cpu {mmu_tlbPtrSz} {7}
    set_instance_parameter_value cpu {mmu_tlbNumWays} {16}
    set_instance_parameter_value cpu {mmu_processIDNumBits} {8}
    set_instance_parameter_value cpu {impl} {Tiny}
    set_instance_parameter_value cpu {icache_size} {2048}
    set_instance_parameter_value cpu {fa_cache_line} {2}
    set_instance_parameter_value cpu {fa_cache_linesize} {0}
    set_instance_parameter_value cpu {icache_tagramBlockType} {Automatic}
    set_instance_parameter_value cpu {icache_ramBlockType} {Automatic}
    set_instance_parameter_value cpu {icache_numTCIM} {0}
    set_instance_parameter_value cpu {icache_burstType} {None}
    set_instance_parameter_value cpu {dcache_bursts} {false}
    set_instance_parameter_value cpu {dcache_victim_buf_impl} {ram}
    set_instance_parameter_value cpu {dcache_size} {2048}
    set_instance_parameter_value cpu {dcache_tagramBlockType} {Automatic}
    set_instance_parameter_value cpu {dcache_ramBlockType} {Automatic}
    set_instance_parameter_value cpu {dcache_numTCDM} {0}
    set_instance_parameter_value cpu {setting_exportvectors} {0}
    set_instance_parameter_value cpu {setting_usedesignware} {0}
    set_instance_parameter_value cpu {setting_ecc_present} {0}
    set_instance_parameter_value cpu {setting_ic_ecc_present} {1}
    set_instance_parameter_value cpu {setting_rf_ecc_present} {1}
    set_instance_parameter_value cpu {setting_mmu_ecc_present} {1}
    set_instance_parameter_value cpu {setting_dc_ecc_present} {0}
    set_instance_parameter_value cpu {setting_itcm_ecc_present} {0}
    set_instance_parameter_value cpu {setting_dtcm_ecc_present} {0}
    set_instance_parameter_value cpu {regfile_ramBlockType} {Automatic}
    set_instance_parameter_value cpu {ocimem_ramBlockType} {Automatic}
    set_instance_parameter_value cpu {ocimem_ramInit} {0}
    set_instance_parameter_value cpu {mmu_ramBlockType} {Automatic}
    set_instance_parameter_value cpu {bht_ramBlockType} {Automatic}
    set_instance_parameter_value cpu {cdx_enabled} {0}
    set_instance_parameter_value cpu {mpx_enabled} {0}
    set_instance_parameter_value cpu {debug_enabled} {1}
    set_instance_parameter_value cpu {debug_triggerArming} {1}
    set_instance_parameter_value cpu {debug_debugReqSignals} {0}
    set_instance_parameter_value cpu {debug_assignJtagInstanceID} {0}
    set_instance_parameter_value cpu {debug_jtagInstanceID} {0}
    set_instance_parameter_value cpu {debug_OCIOnchipTrace} {_128}
    set_instance_parameter_value cpu {debug_hwbreakpoint} {0}
    set_instance_parameter_value cpu {debug_datatrigger} {0}
    set_instance_parameter_value cpu {debug_traceType} {none}
    set_instance_parameter_value cpu {debug_traceStorage} {onchip_trace}
    set_instance_parameter_value cpu {master_addr_map} {0}
    set_instance_parameter_value cpu {instruction_master_paddr_base} {0}
    set_instance_parameter_value cpu {instruction_master_paddr_size} {0.0}
    set_instance_parameter_value cpu {flash_instruction_master_paddr_base} {0}
    set_instance_parameter_value cpu {flash_instruction_master_paddr_size} {0.0}
    set_instance_parameter_value cpu {data_master_paddr_base} {0}
    set_instance_parameter_value cpu {data_master_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_0_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_0_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_1_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_1_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_2_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_2_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_3_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_instruction_master_3_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_0_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_0_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_1_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_1_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_2_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_2_paddr_size} {0.0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_3_paddr_base} {0}
    set_instance_parameter_value cpu {tightly_coupled_data_master_3_paddr_size} {0.0}
    set_instance_parameter_value cpu {instruction_master_high_performance_paddr_base} {0}
    set_instance_parameter_value cpu {instruction_master_high_performance_paddr_size} {0.0}
    set_instance_parameter_value cpu {data_master_high_performance_paddr_base} {0}
    set_instance_parameter_value cpu {data_master_high_performance_paddr_size} {0.0}

    add_instance cvo alt_vip_itc
	if {$ADD_FRAME_READER == 1} {
    set_instance_parameter_value cvo {NUMBER_OF_COLOUR_PLANES} {4}
	} else {
	set_instance_parameter_value cvo {NUMBER_OF_COLOUR_PLANES} {3}
	}
    set_instance_parameter_value cvo {COLOUR_PLANES_ARE_IN_PARALLEL} {1}
    set_instance_parameter_value cvo {BPS} {8}
    set_instance_parameter_value cvo {INTERLACED} {0}
    set_instance_parameter_value cvo {H_ACTIVE_PIXELS} {1920}
    set_instance_parameter_value cvo {V_ACTIVE_LINES} {1080}
    set_instance_parameter_value cvo {ACCEPT_COLOURS_IN_SEQ} {0}
    set_instance_parameter_value cvo {FIFO_DEPTH} {1920}
    set_instance_parameter_value cvo {CLOCKS_ARE_SAME} {0}
    set_instance_parameter_value cvo {USE_CONTROL} {0}
    set_instance_parameter_value cvo {NO_OF_MODES} {1}
    set_instance_parameter_value cvo {THRESHOLD} {1919}
    set_instance_parameter_value cvo {STD_WIDTH} {1}
    set_instance_parameter_value cvo {GENERATE_SYNC} {0}
    set_instance_parameter_value cvo {USE_EMBEDDED_SYNCS} {0}
    set_instance_parameter_value cvo {AP_LINE} {0}
    set_instance_parameter_value cvo {V_BLANK} {0}
    set_instance_parameter_value cvo {H_BLANK} {0}
    set_instance_parameter_value cvo {H_SYNC_LENGTH} {44}
    set_instance_parameter_value cvo {H_FRONT_PORCH} {88}
    set_instance_parameter_value cvo {H_BACK_PORCH} {148}
    set_instance_parameter_value cvo {V_SYNC_LENGTH} {5}
    set_instance_parameter_value cvo {V_FRONT_PORCH} {4}
    set_instance_parameter_value cvo {V_BACK_PORCH} {36}
    set_instance_parameter_value cvo {F_RISING_EDGE} {0}
    set_instance_parameter_value cvo {F_FALLING_EDGE} {0}
    set_instance_parameter_value cvo {FIELD0_V_RISING_EDGE} {0}
    set_instance_parameter_value cvo {FIELD0_V_BLANK} {0}
    set_instance_parameter_value cvo {FIELD0_V_SYNC_LENGTH} {0}
    set_instance_parameter_value cvo {FIELD0_V_FRONT_PORCH} {0}
    set_instance_parameter_value cvo {FIELD0_V_BACK_PORCH} {0}
    set_instance_parameter_value cvo {ANC_LINE} {0}
    set_instance_parameter_value cvo {FIELD0_ANC_LINE} {0}

    add_instance jtag_uart altera_avalon_jtag_uart
    set_instance_parameter_value jtag_uart {allowMultipleConnections} {0}
    set_instance_parameter_value jtag_uart {hubInstanceID} {0}
    set_instance_parameter_value jtag_uart {readBufferDepth} {1024}
    set_instance_parameter_value jtag_uart {readIRQThreshold} {1}
    set_instance_parameter_value jtag_uart {simInputCharacterStream} {}
    set_instance_parameter_value jtag_uart {simInteractiveOptions} {INTERACTIVE_ASCII_OUTPUT}
    set_instance_parameter_value jtag_uart {useRegistersForReadBuffer} {0}
    set_instance_parameter_value jtag_uart {useRegistersForWriteBuffer} {0}
    set_instance_parameter_value jtag_uart {useRelativePathForSimFile} {0}
    set_instance_parameter_value jtag_uart {writeBufferDepth} {1024}
    set_instance_parameter_value jtag_uart {writeIRQThreshold} {1}

    add_instance oc_i2c_master_0 oc_i2c_master 1.0

    add_instance onchip_mem altera_avalon_onchip_memory2
    set_instance_parameter_value onchip_mem {allowInSystemMemoryContentEditor} {0}
    set_instance_parameter_value onchip_mem {blockType} {AUTO}
    set_instance_parameter_value onchip_mem {dataWidth} {32}
    set_instance_parameter_value onchip_mem {dualPort} {0}
    set_instance_parameter_value onchip_mem {initMemContent} {1}
    set_instance_parameter_value onchip_mem {initializationFileName} {control_onchip_mem}
    set_instance_parameter_value onchip_mem {instanceID} {NONE}
    set_instance_parameter_value onchip_mem {memorySize} {90000.0}
    set_instance_parameter_value onchip_mem {readDuringWriteMode} {DONT_CARE}
    set_instance_parameter_value onchip_mem {simAllowMRAMContentsFile} {0}
    set_instance_parameter_value onchip_mem {simMemInitOnlyFilename} {0}
    set_instance_parameter_value onchip_mem {singleClockOperation} {0}
    set_instance_parameter_value onchip_mem {slave1Latency} {1}
    set_instance_parameter_value onchip_mem {slave2Latency} {1}
    set_instance_parameter_value onchip_mem {useNonDefaultInitFile} {1}
    set_instance_parameter_value onchip_mem {copyInitFile} {0}
    set_instance_parameter_value onchip_mem {useShallowMemBlocks} {0}
    set_instance_parameter_value onchip_mem {writable} {1}
    set_instance_parameter_value onchip_mem {ecc_enabled} {0}
    set_instance_parameter_value onchip_mem {resetrequest_enabled} {1}

    add_instance pio_0 altera_avalon_pio
    set_instance_parameter_value pio_0 {bitClearingEdgeCapReg} {0}
    set_instance_parameter_value pio_0 {bitModifyingOutReg} {0}
    set_instance_parameter_value pio_0 {captureEdge} {0}
    set_instance_parameter_value pio_0 {direction} {Input}
    set_instance_parameter_value pio_0 {edgeType} {RISING}
    set_instance_parameter_value pio_0 {generateIRQ} {0}
    set_instance_parameter_value pio_0 {irqType} {LEVEL}
    set_instance_parameter_value pio_0 {resetValue} {0.0}
    set_instance_parameter_value pio_0 {simDoTestBenchWiring} {0}
    set_instance_parameter_value pio_0 {simDrivenValue} {0.0}
    set_instance_parameter_value pio_0 {width} {1}

    add_instance reset_bridge_0 altera_reset_bridge
    set_instance_parameter_value reset_bridge_0 {ACTIVE_LOW_RESET} {1}
    set_instance_parameter_value reset_bridge_0 {SYNCHRONOUS_EDGES} {none}
    set_instance_parameter_value reset_bridge_0 {NUM_RESET_OUTPUTS} {1}
    set_instance_parameter_value reset_bridge_0 {USE_RESET_REQUEST} {0}

    add_instance sys_clock_timer altera_avalon_timer
    set_instance_parameter_value sys_clock_timer {alwaysRun} {0}
    set_instance_parameter_value sys_clock_timer {counterSize} {32}
    set_instance_parameter_value sys_clock_timer {fixedPeriod} {0}
    set_instance_parameter_value sys_clock_timer {period} {1}
    set_instance_parameter_value sys_clock_timer {periodUnits} {USEC}
    set_instance_parameter_value sys_clock_timer {resetOutput} {0}
    set_instance_parameter_value sys_clock_timer {snapshot} {1}
    set_instance_parameter_value sys_clock_timer {timeoutPulseOutput} {0}
    set_instance_parameter_value sys_clock_timer {watchdogPulse} {2}
	
    add_instance xcvr_atx_pll_a10_0 altera_xcvr_atx_pll_a10
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_debug} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_pll_reconfig} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_jtag_enable} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_capability_reg_enable} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_user_identifier} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_csr_soft_logic_enable} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_file_prefix} {altera_xcvr_atx_pll_a10}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_sv_file_enable} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_h_file_enable} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_txt_file_enable} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_mif_file_enable} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_multi_enable} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_profile_cnt} {2}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_profile_select} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_param_vals1} {}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {rcfg_param_vals2} {}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_manual_configuration} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {generate_docs} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {generate_add_hdl_instance_example} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {test_mode} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_pld_atx_cal_busy_port} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_debug_ports_parameters} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {support_mode} {user_mode}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {message_level} {error}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {prot_mode} {Basic}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {bw_sel} {medium}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {refclk_cnt} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {refclk_index} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {silicon_rev} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {primary_pll_buffer} {GX clock output buffer}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_8G_path} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_16G_path} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_pcie_clk} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_cascade_out} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_atx_to_fpll_cascade_out} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_hip_cal_done_port} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_hip_cal_en} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_output_clock_frequency} {1350.0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_fractional} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_auto_reference_clock_frequency} {270.0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_manual_reference_clock_frequency} {100.0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_fref_clock_frequency} {100.0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {select_manual_config} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_m_counter} {50}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_ref_clk_div} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_l_counter} {4}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_l_cascade_counter} {4}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_k_counter} {1.0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {set_altera_xcvr_atx_pll_a10_calibration_en} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_mcgb} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {mcgb_div} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_hfreq_clk} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_mcgb_pcie_clksw} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {mcgb_aux_clkin_cnt} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_bonding_clks} {1}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_fb_comp_bonding} {0}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {pma_width} {20}
    set_instance_parameter_value xcvr_atx_pll_a10_0 {enable_pld_mcgb_cal_busy_port} {0}

    add_instance xcvr_native_a10_0 altera_xcvr_native_a10 
    set_instance_parameter_value xcvr_native_a10_0 {message_level} {error}
    set_instance_parameter_value xcvr_native_a10_0 {support_mode} {user_mode}
    set_instance_parameter_value xcvr_native_a10_0 {protocol_mode} {basic_std}
    set_instance_parameter_value xcvr_native_a10_0 {pma_mode} {basic}
    set_instance_parameter_value xcvr_native_a10_0 {duplex_mode} {tx}
    set_instance_parameter_value xcvr_native_a10_0 {channels} {4}
    set_instance_parameter_value xcvr_native_a10_0 {set_data_rate} {2700}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_iface_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_simple_interface} {1}
    set_instance_parameter_value xcvr_native_a10_0 {enable_split_interface} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_enable_calibration} {1}
    set_instance_parameter_value xcvr_native_a10_0 {enable_transparent_pcs} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_parallel_loopback} {0}
    set_instance_parameter_value xcvr_native_a10_0 {bonded_mode} {pma_only}
    set_instance_parameter_value xcvr_native_a10_0 {set_pcs_bonding_master} {Auto}
    set_instance_parameter_value xcvr_native_a10_0 {tx_pma_clk_div} {1}
    set_instance_parameter_value xcvr_native_a10_0 {plls} {1}
    set_instance_parameter_value xcvr_native_a10_0 {pll_select} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_clkout} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_div_clkout} {0}
    set_instance_parameter_value xcvr_native_a10_0 {tx_pma_div_clkout_divider} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_iqtxrx_clkout} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_elecidle} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_qpipullup} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_qpipulldn} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_txdetectrx} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_pma_rxfound} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_seriallpbken_tx} {0}
    set_instance_parameter_value xcvr_native_a10_0 {number_physical_bonding_clocks} {1}
    set_instance_parameter_value xcvr_native_a10_0 {cdr_refclk_cnt} {1}
    set_instance_parameter_value xcvr_native_a10_0 {cdr_refclk_select} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_cdr_refclk_freq} {125.000}
    set_instance_parameter_value xcvr_native_a10_0 {rx_ppm_detect_threshold} {1000}
    set_instance_parameter_value xcvr_native_a10_0 {rx_pma_ctle_adaptation_mode} {manual}
    set_instance_parameter_value xcvr_native_a10_0 {rx_pma_dfe_adaptation_mode} {disabled}
    set_instance_parameter_value xcvr_native_a10_0 {rx_pma_dfe_fixed_taps} {3}
#    set_instance_parameter_value xcvr_native_a10_0 {enable_rx_pma_floatingtap} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_adaptation} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_pma_clkout} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_pma_div_clkout} {0}
    set_instance_parameter_value xcvr_native_a10_0 {rx_pma_div_clkout_divider} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_pma_iqtxrx_clkout} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_pma_clkslip} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_pma_qpipulldn} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_is_lockedtodata} {1}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_is_lockedtoref} {1}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_rx_manual_cdr_mode} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_rx_manual_ppm} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_signaldetect} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_seriallpbken} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_rx_prbs} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_pcs_pma_width} {20}
    set_instance_parameter_value xcvr_native_a10_0 {std_low_latency_bypass_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_hip} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_hard_reset} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_hip_cal_en} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_pcfifo_mode} {low_latency}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_pcfifo_mode} {low_latency}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_std_pcfifo_full} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_std_pcfifo_empty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_pcfifo_full} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_pcfifo_empty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_byte_ser_mode} {Serialize x2}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_byte_deser_mode} {Disabled}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_8b10b_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_8b10b_disp_ctrl_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_8b10b_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_rmfifo_mode} {disabled}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_rmfifo_pattern_n} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_rmfifo_pattern_p} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_rmfifo_full} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_rmfifo_empty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {pcie_rate_match} {Bypass}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_bitslip_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_std_bitslipboundarysel} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_mode} {bitslip}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_pattern_len} {7}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_pattern} {0.0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_rknumber} {3}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_renumber} {3}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_rgnumber} {3}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_rvnumber} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_word_aligner_fast_sync_status_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_wa_patternalign} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_wa_a1a2size} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_bitslipboundarysel} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_bitslip} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_bitrev_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_byterev_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_tx_polinv_enable} {1}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_polinv} {1}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_bitrev_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_bitrev_ena} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_byterev_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_byterev_ena} {0}
    set_instance_parameter_value xcvr_native_a10_0 {std_rx_polinv_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_polinv} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_std_signaldetect} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_pipe_sw} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_pipe_hclk} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_pipe_g3_analog} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_ports_pipe_rx_elecidle} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_pipe_rx_polarity} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_pcs_pma_width} {40}
    set_instance_parameter_value xcvr_native_a10_0 {enh_pld_pcs_width} {40}
    set_instance_parameter_value xcvr_native_a10_0 {enh_low_latency_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rxtxfifo_double_width} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_txfifo_mode} {Phase compensation}
    set_instance_parameter_value xcvr_native_a10_0 {enh_txfifo_pfull} {11}
    set_instance_parameter_value xcvr_native_a10_0 {enh_txfifo_pempty} {2}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_fifo_full} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_fifo_pfull} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_fifo_empty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_fifo_pempty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_fifo_cnt} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rxfifo_mode} {Phase compensation}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rxfifo_pfull} {23}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rxfifo_pempty} {2}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rxfifo_align_del} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rxfifo_control_del} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_data_valid} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_full} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_pfull} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_empty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_pempty} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_cnt} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_del} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_insert} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_rd_en} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_align_val} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_fifo_align_clr} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_frmgen_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_frmgen_mfrm_length} {2048}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_frmgen_burst_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_frame} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_frame_diag_status} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_frame_burst_en} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_frmsync_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_frmsync_mfrm_length} {2048}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_frame} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_frame_lock} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_frame_diag_status} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_crcgen_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_crcerr_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_crcchk_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_crc32_err} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_highber} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_highber_clr_cnt} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_clr_errblk_count} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_64b66b_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_64b66b_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_sh_err} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_scram_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_scram_seed} {0.0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_descram_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_dispgen_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_dispchk_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_randomdispbit_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_blksync_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_blk_lock} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_bitslip_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_polinv_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_bitslip_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_polinv_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_tx_enh_bitslip} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_rx_enh_bitslip} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_krfec_err_mark_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_rx_krfec_err_mark_type} {10G}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_krfec_burst_err_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enh_tx_krfec_burst_err_len} {1}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_krfec_tx_enh_frame} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_krfec_rx_enh_frame} {0}
    set_instance_parameter_value xcvr_native_a10_0 {enable_port_krfec_rx_enh_frame_diag_status} {0}
    set_instance_parameter_value xcvr_native_a10_0 {pcs_direct_width} {8}
    set_instance_parameter_value xcvr_native_a10_0 {generate_docs} {1}
    set_instance_parameter_value xcvr_native_a10_0 {generate_add_hdl_instance_example} {0}
    set_instance_parameter_value xcvr_native_a10_0 {validation_rule_select} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_enable} {1}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_shared} {1}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_jtag_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_embedded_debug_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_capability_reg_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_user_identifier} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_csr_soft_logic_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_prbs_soft_logic_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_odi_soft_logic_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_file_prefix} {altera_xcvr_native_a10}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_sv_file_enable} {1}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_h_file_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_mif_file_enable} {1}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_multi_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {set_rcfg_emb_strm_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_reduced_files_enable} {0}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_cnt} {2}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_select} {1}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data0} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data1} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data2} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data3} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data4} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data5} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data6} {}
    set_instance_parameter_value xcvr_native_a10_0 {rcfg_profile_data7} {}
    set_instance_parameter_value xcvr_native_a10_0 {rapid_validate} {0}

    add_instance xcvr_reset_control_0 altera_xcvr_reset_control
    set_instance_parameter_value xcvr_reset_control_0 {CHANNELS} {4}
    set_instance_parameter_value xcvr_reset_control_0 {PLLS} {1}
    set_instance_parameter_value xcvr_reset_control_0 {SYS_CLK_IN_MHZ} {100}
    set_instance_parameter_value xcvr_reset_control_0 {SYNCHRONIZE_RESET} {1}
    set_instance_parameter_value xcvr_reset_control_0 {REDUCED_SIM_TIME} {1}
    set_instance_parameter_value xcvr_reset_control_0 {gui_split_interfaces} {0}
    set_instance_parameter_value xcvr_reset_control_0 {TX_PLL_ENABLE} {1}
    set_instance_parameter_value xcvr_reset_control_0 {T_PLL_POWERDOWN} {1000}
    set_instance_parameter_value xcvr_reset_control_0 {SYNCHRONIZE_PLL_RESET} {0}
    set_instance_parameter_value xcvr_reset_control_0 {TX_ENABLE} {1}
    set_instance_parameter_value xcvr_reset_control_0 {TX_PER_CHANNEL} {0}
    set_instance_parameter_value xcvr_reset_control_0 {gui_tx_auto_reset} {0}
    set_instance_parameter_value xcvr_reset_control_0 {T_TX_DIGITALRESET} {20}
    set_instance_parameter_value xcvr_reset_control_0 {T_PLL_LOCK_HYST} {20}
    set_instance_parameter_value xcvr_reset_control_0 {gui_pll_cal_busy} {0}
    set_instance_parameter_value xcvr_reset_control_0 {RX_ENABLE} {0}
    set_instance_parameter_value xcvr_reset_control_0 {RX_PER_CHANNEL} {0}
    set_instance_parameter_value xcvr_reset_control_0 {gui_rx_auto_reset} {0}
    set_instance_parameter_value xcvr_reset_control_0 {T_RX_ANALOGRESET} {40}
    set_instance_parameter_value xcvr_reset_control_0 {T_RX_DIGITALRESET} {4000}

    add_instance xdash altera_avalon_pio 
    set_instance_parameter_value xdash {bitClearingEdgeCapReg} {0}
    set_instance_parameter_value xdash {bitModifyingOutReg} {0}
    set_instance_parameter_value xdash {captureEdge} {0}
    set_instance_parameter_value xdash {direction} {Output}
    set_instance_parameter_value xdash {edgeType} {RISING}
    set_instance_parameter_value xdash {generateIRQ} {0}
    set_instance_parameter_value xdash {irqType} {LEVEL}
    set_instance_parameter_value xdash {resetValue} {0.0}
    set_instance_parameter_value xdash {simDoTestBenchWiring} {0}
    set_instance_parameter_value xdash {simDrivenValue} {0.0}
    set_instance_parameter_value xdash {width} {32}

    # connections and connection parameters
    add_connection cpu.data_master jtag_uart.avalon_jtag_slave avalon
    set_connection_parameter_value cpu.data_master/jtag_uart.avalon_jtag_slave arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/jtag_uart.avalon_jtag_slave baseAddress {0x01042a80}
    set_connection_parameter_value cpu.data_master/jtag_uart.avalon_jtag_slave defaultConnection {0}

    add_connection cpu.data_master oc_i2c_master_0.avalon_slave_0 avalon
    set_connection_parameter_value cpu.data_master/oc_i2c_master_0.avalon_slave_0 arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/oc_i2c_master_0.avalon_slave_0 baseAddress {0x01042ac0}
    set_connection_parameter_value cpu.data_master/oc_i2c_master_0.avalon_slave_0 defaultConnection {0}

    add_connection cpu.data_master cpu.debug_mem_slave avalon
    set_connection_parameter_value cpu.data_master/cpu.debug_mem_slave arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/cpu.debug_mem_slave baseAddress {0x01042000}
    set_connection_parameter_value cpu.data_master/cpu.debug_mem_slave defaultConnection {0}

    add_connection cpu.data_master onchip_mem.s1 avalon
    set_connection_parameter_value cpu.data_master/onchip_mem.s1 arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/onchip_mem.s1 baseAddress {0x01020000}
    set_connection_parameter_value cpu.data_master/onchip_mem.s1 defaultConnection {0}

    add_connection cpu.data_master sys_clock_timer.s1 avalon
    set_connection_parameter_value cpu.data_master/sys_clock_timer.s1 arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/sys_clock_timer.s1 baseAddress {0x01042800}
    set_connection_parameter_value cpu.data_master/sys_clock_timer.s1 defaultConnection {0}

    add_connection cpu.data_master xdash.s1 avalon
    set_connection_parameter_value cpu.data_master/xdash.s1 arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/xdash.s1 baseAddress {0x01042980}
    set_connection_parameter_value cpu.data_master/xdash.s1 defaultConnection {0}

    add_connection cpu.data_master pio_0.s1 avalon
    set_connection_parameter_value cpu.data_master/pio_0.s1 arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/pio_0.s1 baseAddress {0x01042900}
    set_connection_parameter_value cpu.data_master/pio_0.s1 defaultConnection {0}

	if {$ADD_FRAME_READER == 0} {
    add_connection cpu.data_master vesa_tpg_pio.s1 avalon
    set_connection_parameter_value cpu.data_master/vesa_tpg_pio.s1 arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/vesa_tpg_pio.s1 baseAddress {0x01042a00}
    set_connection_parameter_value cpu.data_master/vesa_tpg_pio.s1 defaultConnection {0}
	}
	
    add_connection cpu.data_master bitec_dp_0.tx_mgmt avalon
    set_connection_parameter_value cpu.data_master/bitec_dp_0.tx_mgmt arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/bitec_dp_0.tx_mgmt baseAddress {0x0000}
    set_connection_parameter_value cpu.data_master/bitec_dp_0.tx_mgmt defaultConnection {0}

    add_connection cpu.instruction_master cpu.debug_mem_slave avalon
    set_connection_parameter_value cpu.instruction_master/cpu.debug_mem_slave arbitrationPriority {1}
    set_connection_parameter_value cpu.instruction_master/cpu.debug_mem_slave baseAddress {0x01042000}
    set_connection_parameter_value cpu.instruction_master/cpu.debug_mem_slave defaultConnection {0}

    add_connection cpu.instruction_master onchip_mem.s1 avalon
    set_connection_parameter_value cpu.instruction_master/onchip_mem.s1 arbitrationPriority {1}
    set_connection_parameter_value cpu.instruction_master/onchip_mem.s1 baseAddress {0x01020000}
    set_connection_parameter_value cpu.instruction_master/onchip_mem.s1 defaultConnection {0}

    add_connection cpu.data_master tx_aux_debug_fifo.in_csr avalon
    set_connection_parameter_value cpu.data_master/tx_aux_debug_fifo.in_csr arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/tx_aux_debug_fifo.in_csr baseAddress {0x00200000}
    set_connection_parameter_value cpu.data_master/tx_aux_debug_fifo.in_csr defaultConnection {0}

    add_connection cpu.data_master tx_aux_debug_fifo.out avalon
    set_connection_parameter_value cpu.data_master/tx_aux_debug_fifo.out arbitrationPriority {1}
    set_connection_parameter_value cpu.data_master/tx_aux_debug_fifo.out baseAddress {0x00200020}
    set_connection_parameter_value cpu.data_master/tx_aux_debug_fifo.out defaultConnection {0}
	
    add_connection clk_16.out_clk bitec_dp_0.aux_clk clock

    add_connection clk_100.out_clk pio_0.clk clock

    add_connection clk_100.out_clk xdash.clk clock

    add_connection clk_100.out_clk sys_clock_timer.clk clock

    add_connection clk_100.out_clk jtag_uart.clk clock

    add_connection clk_100.out_clk cpu.clk clock

    add_connection clk_100.out_clk bitec_dp_0.clk clock

    add_connection clk_100.out_clk onchip_mem.clk1 clock

    add_connection clk_100.out_clk xcvr_reset_control_0.clock clock

    add_connection clk_100.out_clk oc_i2c_master_0.clock_sink clock

    add_connection clk_vip_160.out_clk cvo.is_clk_rst clock

    add_connection clk_100.out_clk xcvr_atx_pll_a10_0.reconfig_clk0 clock

    add_connection clk_100.out_clk xcvr_native_a10_0.reconfig_clk_ch0 clock

    add_connection clk_100.out_clk bitec_dp_0.xcvr_mgmt_clk clock
	
    add_connection clk_16.out_clk tx_aux_debug_fifo.clk_in clock
	
    add_connection clk_100.out_clk video_pll.refclk clock

    add_connection xcvr_reset_control_0.pll_powerdown xcvr_atx_pll_a10_0.pll_powerdown conduit
    set_connection_parameter_value xcvr_reset_control_0.pll_powerdown/xcvr_atx_pll_a10_0.pll_powerdown endPort {}
    set_connection_parameter_value xcvr_reset_control_0.pll_powerdown/xcvr_atx_pll_a10_0.pll_powerdown endPortLSB {0}
    set_connection_parameter_value xcvr_reset_control_0.pll_powerdown/xcvr_atx_pll_a10_0.pll_powerdown startPort {}
    set_connection_parameter_value xcvr_reset_control_0.pll_powerdown/xcvr_atx_pll_a10_0.pll_powerdown startPortLSB {0}
    set_connection_parameter_value xcvr_reset_control_0.pll_powerdown/xcvr_atx_pll_a10_0.pll_powerdown width {0}

    add_connection xcvr_atx_pll_a10_0.tx_bonding_clocks xcvr_native_a10_0.tx_bonding_clocks_ch0 hssi_bonded_clock

    add_connection xcvr_atx_pll_a10_0.tx_bonding_clocks xcvr_native_a10_0.tx_bonding_clocks_ch1 hssi_bonded_clock

    add_connection xcvr_atx_pll_a10_0.tx_bonding_clocks xcvr_native_a10_0.tx_bonding_clocks_ch2 hssi_bonded_clock

    add_connection xcvr_atx_pll_a10_0.tx_bonding_clocks xcvr_native_a10_0.tx_bonding_clocks_ch3 hssi_bonded_clock

    add_connection cpu.irq jtag_uart.irq interrupt
    set_connection_parameter_value cpu.irq/jtag_uart.irq irqNumber {0}

    add_connection cpu.irq sys_clock_timer.irq interrupt
    set_connection_parameter_value cpu.irq/sys_clock_timer.irq irqNumber {2}

    add_connection cpu.irq bitec_dp_0.tx_mgmt_interrupt interrupt
    set_connection_parameter_value cpu.irq/bitec_dp_0.tx_mgmt_interrupt irqNumber {1}

    add_connection cpu.debug_reset_request bitec_dp_0.aux_reset reset

    add_connection cpu.debug_reset_request oc_i2c_master_0.clock_sink_reset reset

    add_connection cpu.debug_reset_request cvo.is_clk_rst_reset reset

    add_connection cpu.debug_reset_request jtag_uart.reset reset

    add_connection cpu.debug_reset_request sys_clock_timer.reset reset

    add_connection cpu.debug_reset_request xdash.reset reset

    add_connection cpu.debug_reset_request pio_0.reset reset

    add_connection cpu.debug_reset_request bitec_dp_0.reset reset

    add_connection cpu.debug_reset_request onchip_mem.reset1 reset


    add_connection reset_bridge_0.out_reset bitec_dp_0.aux_reset reset

    add_connection reset_bridge_0.out_reset oc_i2c_master_0.clock_sink_reset reset

    add_connection reset_bridge_0.out_reset cvo.is_clk_rst_reset reset

    add_connection reset_bridge_0.out_reset xcvr_atx_pll_a10_0.reconfig_reset0 reset

    add_connection reset_bridge_0.out_reset xcvr_native_a10_0.reconfig_reset_ch0 reset

    add_connection reset_bridge_0.out_reset cpu.reset reset

    add_connection reset_bridge_0.out_reset jtag_uart.reset reset

    add_connection reset_bridge_0.out_reset sys_clock_timer.reset reset

    add_connection reset_bridge_0.out_reset bitec_dp_0.reset reset

    add_connection reset_bridge_0.out_reset xdash.reset reset

    add_connection reset_bridge_0.out_reset pio_0.reset reset

    add_connection reset_bridge_0.out_reset onchip_mem.reset1 reset

    add_connection reset_bridge_0.out_reset video_pll.reset reset

    add_connection reset_bridge_0.out_reset tx_aux_debug_fifo.reset_in reset
	
    add_connection bitec_dp_0.tx_aux_debug tx_aux_debug_fifo.in avalon_streaming
	
    if {$ADD_FRAME_READER == 1} {
    add_connection alt_vip_vfr_0.avalon_streaming_source cvo.din avalon_streaming

    add_connection clk_vip_160.out_clk alt_vip_vfr_0.clock_master clock

    add_connection clk_vip_160.out_clk alt_vip_vfr_0.clock_reset clock
	
    add_connection reset_bridge_0.out_reset alt_vip_vfr_0.clock_master_reset reset

    add_connection reset_bridge_0.out_reset alt_vip_vfr_0.clock_reset_reset reset
	
    } else {
		add_connection vesa_tpg.avalon_streaming_source cvo.din avalon_streaming
		
		add_connection clk_100.out_clk vesa_tpg_pio.clk clock
		
		add_connection clk_vip_160.out_clk vesa_tpg.clock_sink clock
		
		add_connection cpu.debug_reset_request vesa_tpg_pio.reset reset
		
		add_connection cpu.debug_reset_request vesa_tpg.reset_sink reset
		
		add_connection reset_bridge_0.out_reset vesa_tpg.reset_sink reset
	
	}
	
    # exported interfaces
	if {$ADD_FRAME_READER == 1} {
    add_interface alt_vip_vfr_0_avalon_master avalon master
    set_interface_property alt_vip_vfr_0_avalon_master EXPORT_OF alt_vip_vfr_0.avalon_master
    add_interface alt_vip_vfr_0_avalon_slave avalon slave
    set_interface_property alt_vip_vfr_0_avalon_slave EXPORT_OF alt_vip_vfr_0.avalon_slave
    add_interface alt_vip_vfr_0_interrupt_sender interrupt sender
    set_interface_property alt_vip_vfr_0_interrupt_sender EXPORT_OF alt_vip_vfr_0.interrupt_sender
	} else {
		add_interface tpg_pio conduit end
		set_interface_property tpg_pio EXPORT_OF vesa_tpg_pio.external_connection
		add_interface vesa_tpg conduit end
		set_interface_property vesa_tpg EXPORT_OF vesa_tpg.conduit_end
	}
    add_interface video_pll_locked conduit end
    set_interface_property video_pll_locked EXPORT_OF video_pll.locked
    add_interface video_pll_outclk0 clock source
    set_interface_property video_pll_outclk0 EXPORT_OF video_pll.outclk0
    add_interface video_pll_outclk1 clock source
    set_interface_property video_pll_outclk1 EXPORT_OF video_pll.outclk1
    add_interface video_pll_outclk2 clock source
    set_interface_property video_pll_outclk2 EXPORT_OF video_pll.outclk2
    add_interface bitec_dp_0_clk_cal clock sink
    set_interface_property bitec_dp_0_clk_cal EXPORT_OF bitec_dp_0.clk_cal
    add_interface bitec_dp_0_tx conduit end
    set_interface_property bitec_dp_0_tx EXPORT_OF bitec_dp_0.tx_xcvr_interface
    add_interface bitec_dp_0_tx0_video_in conduit end
    set_interface_property bitec_dp_0_tx0_video_in EXPORT_OF bitec_dp_0.tx_video_in
    add_interface bitec_dp_0_tx0_video_in_1 clock sink
    set_interface_property bitec_dp_0_tx0_video_in_1 EXPORT_OF bitec_dp_0.tx_vid_clk
    add_interface bitec_dp_0_tx_analog_reconfig conduit end
    set_interface_property bitec_dp_0_tx_analog_reconfig EXPORT_OF bitec_dp_0.tx_analog_reconfig
    add_interface bitec_dp_0_tx_aux conduit end
    set_interface_property bitec_dp_0_tx_aux EXPORT_OF bitec_dp_0.tx_aux
    add_interface bitec_dp_0_tx_reconfig conduit end
    set_interface_property bitec_dp_0_tx_reconfig EXPORT_OF bitec_dp_0.tx_reconfig
    add_interface clk_100 clock sink
    set_interface_property clk_100 EXPORT_OF clk_100.in_clk
    add_interface clk_16 clock sink
    set_interface_property clk_16 EXPORT_OF clk_16.in_clk
    add_interface clk_vip_160 clock sink
    set_interface_property clk_vip_160 EXPORT_OF clk_vip_160.in_clk
    add_interface cvo_clocked_video conduit end
    set_interface_property cvo_clocked_video EXPORT_OF cvo.clocked_video
    add_interface oc_i2c_master_0_conduit_start conduit end
    set_interface_property oc_i2c_master_0_conduit_start EXPORT_OF oc_i2c_master_0.conduit_start
    add_interface pio_0_external_connection conduit end
    set_interface_property pio_0_external_connection EXPORT_OF pio_0.external_connection
    add_interface resetn reset sink
    set_interface_property resetn EXPORT_OF reset_bridge_0.in_reset
    add_interface xcvr_atx_pll_a10_0_mcgb_rst conduit end
    set_interface_property xcvr_atx_pll_a10_0_mcgb_rst EXPORT_OF xcvr_atx_pll_a10_0.mcgb_rst
    add_interface xcvr_atx_pll_a10_0_pll_cal_busy conduit end
    set_interface_property xcvr_atx_pll_a10_0_pll_cal_busy EXPORT_OF xcvr_atx_pll_a10_0.pll_cal_busy
    add_interface xcvr_atx_pll_a10_0_pll_locked conduit end
    set_interface_property xcvr_atx_pll_a10_0_pll_locked EXPORT_OF xcvr_atx_pll_a10_0.pll_locked
    add_interface xcvr_atx_pll_a10_0_pll_refclk0 clock sink
    set_interface_property xcvr_atx_pll_a10_0_pll_refclk0 EXPORT_OF xcvr_atx_pll_a10_0.pll_refclk0
    add_interface xcvr_atx_pll_a10_0_reconfig_avmm0 avalon slave
    set_interface_property xcvr_atx_pll_a10_0_reconfig_avmm0 EXPORT_OF xcvr_atx_pll_a10_0.reconfig_avmm0
    add_interface xcvr_atx_pll_a10_0_tx_serial_clk hssi_serial_clock source
    set_interface_property xcvr_atx_pll_a10_0_tx_serial_clk EXPORT_OF xcvr_atx_pll_a10_0.tx_serial_clk
    add_interface xcvr_native_a10_0_reconfig_avmm_ch0 avalon slave
    set_interface_property xcvr_native_a10_0_reconfig_avmm_ch0 EXPORT_OF xcvr_native_a10_0.reconfig_avmm_ch0
    add_interface xcvr_native_a10_0_tx_analogreset_ch0 conduit end
    set_interface_property xcvr_native_a10_0_tx_analogreset_ch0 EXPORT_OF xcvr_native_a10_0.tx_analogreset_ch0
    add_interface xcvr_native_a10_0_tx_analogreset_ch1 conduit end
    set_interface_property xcvr_native_a10_0_tx_analogreset_ch1 EXPORT_OF xcvr_native_a10_0.tx_analogreset_ch1
    add_interface xcvr_native_a10_0_tx_analogreset_ch2 conduit end
    set_interface_property xcvr_native_a10_0_tx_analogreset_ch2 EXPORT_OF xcvr_native_a10_0.tx_analogreset_ch2
    add_interface xcvr_native_a10_0_tx_analogreset_ch3 conduit end
    set_interface_property xcvr_native_a10_0_tx_analogreset_ch3 EXPORT_OF xcvr_native_a10_0.tx_analogreset_ch3
    add_interface xcvr_native_a10_0_tx_cal_busy_ch0 conduit end
    set_interface_property xcvr_native_a10_0_tx_cal_busy_ch0 EXPORT_OF xcvr_native_a10_0.tx_cal_busy_ch0
    add_interface xcvr_native_a10_0_tx_cal_busy_ch1 conduit end
    set_interface_property xcvr_native_a10_0_tx_cal_busy_ch1 EXPORT_OF xcvr_native_a10_0.tx_cal_busy_ch1
    add_interface xcvr_native_a10_0_tx_cal_busy_ch2 conduit end
    set_interface_property xcvr_native_a10_0_tx_cal_busy_ch2 EXPORT_OF xcvr_native_a10_0.tx_cal_busy_ch2
    add_interface xcvr_native_a10_0_tx_cal_busy_ch3 conduit end
    set_interface_property xcvr_native_a10_0_tx_cal_busy_ch3 EXPORT_OF xcvr_native_a10_0.tx_cal_busy_ch3
    add_interface xcvr_native_a10_0_tx_clkout_ch0 clock source
    set_interface_property xcvr_native_a10_0_tx_clkout_ch0 EXPORT_OF xcvr_native_a10_0.tx_clkout_ch0
    add_interface xcvr_native_a10_0_tx_clkout_ch1 clock source
    set_interface_property xcvr_native_a10_0_tx_clkout_ch1 EXPORT_OF xcvr_native_a10_0.tx_clkout_ch1
    add_interface xcvr_native_a10_0_tx_clkout_ch2 clock source
    set_interface_property xcvr_native_a10_0_tx_clkout_ch2 EXPORT_OF xcvr_native_a10_0.tx_clkout_ch2
    add_interface xcvr_native_a10_0_tx_clkout_ch3 clock source
    set_interface_property xcvr_native_a10_0_tx_clkout_ch3 EXPORT_OF xcvr_native_a10_0.tx_clkout_ch3
    add_interface xcvr_native_a10_0_tx_coreclkin_ch0 clock sink
    set_interface_property xcvr_native_a10_0_tx_coreclkin_ch0 EXPORT_OF xcvr_native_a10_0.tx_coreclkin_ch0
    add_interface xcvr_native_a10_0_tx_coreclkin_ch1 clock sink
    set_interface_property xcvr_native_a10_0_tx_coreclkin_ch1 EXPORT_OF xcvr_native_a10_0.tx_coreclkin_ch1
    add_interface xcvr_native_a10_0_tx_coreclkin_ch2 clock sink
    set_interface_property xcvr_native_a10_0_tx_coreclkin_ch2 EXPORT_OF xcvr_native_a10_0.tx_coreclkin_ch2
    add_interface xcvr_native_a10_0_tx_coreclkin_ch3 clock sink
    set_interface_property xcvr_native_a10_0_tx_coreclkin_ch3 EXPORT_OF xcvr_native_a10_0.tx_coreclkin_ch3
    add_interface xcvr_native_a10_0_tx_digitalreset_ch0 conduit end
    set_interface_property xcvr_native_a10_0_tx_digitalreset_ch0 EXPORT_OF xcvr_native_a10_0.tx_digitalreset_ch0
    add_interface xcvr_native_a10_0_tx_digitalreset_ch1 conduit end
    set_interface_property xcvr_native_a10_0_tx_digitalreset_ch1 EXPORT_OF xcvr_native_a10_0.tx_digitalreset_ch1
    add_interface xcvr_native_a10_0_tx_digitalreset_ch2 conduit end
    set_interface_property xcvr_native_a10_0_tx_digitalreset_ch2 EXPORT_OF xcvr_native_a10_0.tx_digitalreset_ch2
    add_interface xcvr_native_a10_0_tx_digitalreset_ch3 conduit end
    set_interface_property xcvr_native_a10_0_tx_digitalreset_ch3 EXPORT_OF xcvr_native_a10_0.tx_digitalreset_ch3
    add_interface xcvr_native_a10_0_tx_parallel_data_ch0 conduit end
    set_interface_property xcvr_native_a10_0_tx_parallel_data_ch0 EXPORT_OF xcvr_native_a10_0.tx_parallel_data_ch0
    add_interface xcvr_native_a10_0_tx_parallel_data_ch1 conduit end
    set_interface_property xcvr_native_a10_0_tx_parallel_data_ch1 EXPORT_OF xcvr_native_a10_0.tx_parallel_data_ch1
    add_interface xcvr_native_a10_0_tx_parallel_data_ch2 conduit end
    set_interface_property xcvr_native_a10_0_tx_parallel_data_ch2 EXPORT_OF xcvr_native_a10_0.tx_parallel_data_ch2
    add_interface xcvr_native_a10_0_tx_parallel_data_ch3 conduit end
    set_interface_property xcvr_native_a10_0_tx_parallel_data_ch3 EXPORT_OF xcvr_native_a10_0.tx_parallel_data_ch3
    add_interface xcvr_native_a10_0_tx_polinv_ch0 conduit end
    set_interface_property xcvr_native_a10_0_tx_polinv_ch0 EXPORT_OF xcvr_native_a10_0.tx_polinv_ch0
    add_interface xcvr_native_a10_0_tx_polinv_ch1 conduit end
    set_interface_property xcvr_native_a10_0_tx_polinv_ch1 EXPORT_OF xcvr_native_a10_0.tx_polinv_ch1
    add_interface xcvr_native_a10_0_tx_polinv_ch2 conduit end
    set_interface_property xcvr_native_a10_0_tx_polinv_ch2 EXPORT_OF xcvr_native_a10_0.tx_polinv_ch2
    add_interface xcvr_native_a10_0_tx_polinv_ch3 conduit end
    set_interface_property xcvr_native_a10_0_tx_polinv_ch3 EXPORT_OF xcvr_native_a10_0.tx_polinv_ch3
    add_interface xcvr_native_a10_0_tx_serial_data_ch0 conduit end
    set_interface_property xcvr_native_a10_0_tx_serial_data_ch0 EXPORT_OF xcvr_native_a10_0.tx_serial_data_ch0
    add_interface xcvr_native_a10_0_tx_serial_data_ch1 conduit end
    set_interface_property xcvr_native_a10_0_tx_serial_data_ch1 EXPORT_OF xcvr_native_a10_0.tx_serial_data_ch1
    add_interface xcvr_native_a10_0_tx_serial_data_ch2 conduit end
    set_interface_property xcvr_native_a10_0_tx_serial_data_ch2 EXPORT_OF xcvr_native_a10_0.tx_serial_data_ch2
    add_interface xcvr_native_a10_0_tx_serial_data_ch3 conduit end
    set_interface_property xcvr_native_a10_0_tx_serial_data_ch3 EXPORT_OF xcvr_native_a10_0.tx_serial_data_ch3
    add_interface xcvr_native_a10_0_unused_tx_parallel_data conduit end
    set_interface_property xcvr_native_a10_0_unused_tx_parallel_data EXPORT_OF xcvr_native_a10_0.unused_tx_parallel_data
    add_interface xcvr_reset_control_0_pll_locked conduit end
    set_interface_property xcvr_reset_control_0_pll_locked EXPORT_OF xcvr_reset_control_0.pll_locked
    add_interface xcvr_reset_control_0_pll_select conduit end
    set_interface_property xcvr_reset_control_0_pll_select EXPORT_OF xcvr_reset_control_0.pll_select
    add_interface xcvr_reset_control_0_reset reset sink
    set_interface_property xcvr_reset_control_0_reset EXPORT_OF xcvr_reset_control_0.reset
    add_interface xcvr_reset_control_0_tx_analogreset conduit end
    set_interface_property xcvr_reset_control_0_tx_analogreset EXPORT_OF xcvr_reset_control_0.tx_analogreset
    add_interface xcvr_reset_control_0_tx_cal_busy conduit end
    set_interface_property xcvr_reset_control_0_tx_cal_busy EXPORT_OF xcvr_reset_control_0.tx_cal_busy
    add_interface xcvr_reset_control_0_tx_digitalreset conduit end
    set_interface_property xcvr_reset_control_0_tx_digitalreset EXPORT_OF xcvr_reset_control_0.tx_digitalreset
    add_interface xcvr_reset_control_0_tx_ready conduit end
    set_interface_property xcvr_reset_control_0_tx_ready EXPORT_OF xcvr_reset_control_0.tx_ready

    # interconnect requirements
    set_interconnect_requirement {$system} {qsys_mm.clockCrossingAdapter} {HANDSHAKE}
    set_interconnect_requirement {$system} {qsys_mm.maxAdditionalLatency} {1}

save_system ${sub_qsys_dp}.qsys

