set QSYS_NAME ghrd_10as066n2
set QUARTUS_NAME ghrd_10as066n2
set SYS_TOP_NAME ghrd_10as066n2_top
set DEVICE_FAMILY "Arria 10"
set FPGA_DEVICE 10AS066N2F40I2SGES

##### features of GHRD enabling #####
# memory chip device determine speedbin, timing parameters, rank choice selection in EMIF configuration, 
# "MT41K512M16TNA-107"=D9RPL ,   -- DDR3 dual ranks at 800MHz
# "MT41J256M16HA-093"=D9PZN ,    -- DDR3 single rank at 1066MHz
# "MT40A256M16HA-093E:A"=D9RGX   -- DDR4 single rank at 1066MHz
set HPS_SDRAM_DEVICE D9RGX
set HPS_SDRAM_ECC_ENABLE 0
set HPS_SDRAM_DEBUG_ENABLE 1
# existance of Cross Triggering
set CROSS_TRIGGER_ENABLE 1
# existance of Display Port 
set DISP_PORT_ENABLE 0
# existance of SGMII Enet port(s), SGMII Enet and Early Trace are exclusively exist
set SGMII_ENABLE 0
set SGMII_COUNT 1
# existance Fast Trace routed via FPGA, Fast Trace and Early Trace are exclusively exist
set FTRACE_ENABLE 0
# existance of PCIe Gen3
set GEN3_ENABLE 0

##### part of IP configuration parameters exposed #####
# onchip memory data width
set OCM_WIDTH 64

##### ARM boot device selection
# choice of "SDMMC", "QSPI", "NAND" or "FPGA"
set BOOT_SOURCE SDMMC

##### to be added
# OCM_SIZE
# FPGA_SDRAM_DEVICE
# FPGA_SDRAM_ECC_ENABLE

# This is a workaround for CMU PLL pending fix, default should use CMU PLL
set USE_ATX_PLL 0

# For hw testing, the frame reader will be disabled for Display Port
set ADD_FRAME_READER 1