# 100MHz board input clock, 133.3333MHz for EMIF refclk
create_clock -name MAIN_CLOCK -period 10 [get_ports fpga_clk_100]
create_clock -name EMIF_REF_CLOCK -period 7.5 [get_ports emif_ref_clk]
create_clock -name DP_REFCLK -period 3.703 [get_ports dp_refclk]

derive_pll_clocks -create_base_clocks
derive_clock_uncertainty

# False path 
set_false_path -from [get_ports fpga_reset_n] -to *
set_false_path -from [get_ports altera_reserved_ntrst] -to *

# For USB BlasterII running at 24MHz
create_clock -name {altera_reserved_tck} -period 24Mhz [get_ports { altera_reserved_tck }]
set_clock_groups -asynchronous -group {altera_reserved_tck}
set_input_delay -clock altera_reserved_tck -clock_fall -max 5 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck -clock_fall -max 5 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck 5 [get_ports altera_reserved_tdo]

# FPGA IO port constraints
set_false_path -from [get_ports {fpga_button_pio[0]}] -to *
set_false_path -from [get_ports {fpga_button_pio[1]}] -to *
set_false_path -from [get_ports {fpga_button_pio[2]}] -to *
set_false_path -from [get_ports {fpga_button_pio[3]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[0]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[1]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[2]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[3]}] -to *
set_false_path -from [get_ports {fpga_led_pio[0]}] -to *
set_false_path -from [get_ports {fpga_led_pio[1]}] -to *
set_false_path -from [get_ports {fpga_led_pio[2]}] -to *
set_false_path -from [get_ports {fpga_led_pio[3]}] -to *
set_false_path -from * -to [get_ports {fpga_led_pio[0]}]
set_false_path -from * -to [get_ports {fpga_led_pio[1]}]
set_false_path -from * -to [get_ports {fpga_led_pio[2]}]
set_false_path -from * -to [get_ports {fpga_led_pio[3]}]

# Clock Group
set_clock_groups -exclusive \
-group [get_clocks {MAIN_CLOCK}] \
-group [get_clocks {DP_REFCLK}] \
-group [get_clocks {soc_inst|display_port|*|tx_clkout}] \
-group [get_clocks {soc_inst|display_port|video_pll|outclk0 soc_inst|display_port|video_pll|outclk1 soc_inst|display_port|video_pll|outclk2}] \
-group [get_clocks {soc_inst|arria10_hps_0|fpga_interfaces|peripheral_emac1|s2f_clk}] \
-group [get_clocks {soc_inst|sgmii_1|gmii_to_sgmii_converter_0|tx_clkout}]

set_output_delay -clock { soc_inst|display_port|video_pll|outclk1 } 0.5 [get_ports {DP_AUX_CH_P}]
set_output_delay -clock { soc_inst|display_port|video_pll|outclk1 } 0.5 [get_ports {DP_AUX_CH_N}]
set_input_delay -clock { soc_inst|display_port|video_pll|outclk1 } 0.5 [get_ports {DP_AUX_CH_P}]
set_input_delay -clock { soc_inst|display_port|video_pll|outclk1 } 0.5 [get_ports {DP_AUX_CH_N}]

#create_clock -name PCS_REF_CLOCK -period 8 [get_ports pcs_clk_125]
#create_clock -name EMAC0_MDC_CLOCK -period 400 [get_pins {soc_0|hps_0|fpga_interfaces|peripheral_emac0|gmii_mdc_o}]
#create_clock -name phy_tx_clk_125 -period 8.00 [get_keepers {soc_system:soc_0|soc_system_hps_0:hps_0|soc_system_hps_0_fpga_interfaces:fpga_interfaces|peripheral_emac0~internal_clock}] -add
#set_output_delay -clock { emac0_fpga_mdc } 50 [get_ports {emac0_fpga_mdc}]
#set_output_delay -clock { emac0_fpga_mdc } 50 [get_ports {emac0_fpga_mdio}]
#set_input_delay  -clock { emac0_fpga_mdc } 50 [get_ports {emac0_fpga_mdio}]
